Subject: 23.0.60; Odd behavior of maximized windows

From: David Abrahams <[email-masked]>
Date: Fri, 28 Mar 2008 13:53:31 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I am using Emacs 21 under Gnome with Compiz.  Occasionally, Compiz or
Emerald will freak out and I'll lose all my "window decorations" (title
bars, etc.)  I don't know what causes it.  I typically keep one or more
maximized emacs windows open.  With any other application I use, all I
need to do to get the decorations back is to restart my window manager
(it's not an X restart).  For some reason, the emacs window remains
maximized (the area, sans decorations, fills an entire screen) and no
decorations come back.  The emacs window actually even obscures the
gnome panels!  This persistent annoyance would obviously not be much of
a problem if it weren't for a bug somewhere else, but it is an odd
nonuniformity.  It would be best if emacs worked like all my other X
applications in that respect.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.0.60/etc/DEBUG for instructions.

In GNU Emacs 23.0.60.2 (i686-pc-linux-gnu, GTK+ Version 2.12.0)
 of 2008-01-14 on gutsy
Windowing system distributor `The X.Org Foundation', version 11.0.10300000
configured using `configure  '--enable-font-backend' '--with-jpeg' '--with-tiff' '--with-gif' '--with-png' '--with-freetype' '--with-xft' '--with-gtk' '--with-xpm' '--prefix=/usr/local''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  global-auto-revert-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<down-mouse-1> <mouse-1> M-x g n u s <return> <help-echo> 
<down-mouse-1> <mouse-1> M-x r e p o r t - e m a <tab> 
<return>

Recent messages:
nnrss: Requesting ImprovingBoostDocs...
Contacting host: beta.boost.org:80
Reading [text/xml]... 22k of 22k (100%)
Reading... done.
nnrss: Requesting ImprovingBoostDocs...done
nnrss: Requesting ATI Proprietary Linux Driver Releases...
Reading [application/octet-stream]... 22k of 22k (100%)
ati.amd.com tried to set a cookie for domain amd.com - rejected.
nnrss: Requesting ATI Proprietary Linux Driver Releases...done
Checking new news...done

-- 
Dave Abrahams
Boost Consulting
http://boost-consulting.com